import { Aesthetic } from "aesthetic";
export declare function initDefaultTheme(aesthetic?: Aesthetic): void;
export declare function initTheme(themeObj?: {
    name: string;
    colors: {
        primary: string;
        secondary: string;
        alert: {
            alert25: string;
            alert50: string;
            alert100: string;
        };
        warning: {
            warning25: string;
            warning50: string;
            warning100: string;
        };
        success: {
            success25: string;
            success50: string;
            success100: string;
        };
        white: string;
        black: string;
        background: {
            background25: string;
            background50: string;
            background100: string;
        };
        grey: {
            grey25: string;
            grey50: string;
            grey100: string;
        };
    };
    fontFamily: string;
    fonts: {};
    icons: {
        add: string;
        arrow: string;
        arrowDown: string;
        block: string;
        chart: string;
        check: string;
        checkmark: string;
        close: string;
    };
    spaceUnit: {
        xxs: string;
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
        xxl: string;
    };
    spacing: {
        squishsm: {
            top: string;
            left: string;
        };
        squishmd: {
            top: string;
            left: string;
        };
        squishlg: {
            top: string;
            left: string;
        };
        stretchsm: {
            left: string;
            top: string;
        };
        stretchmd: {
            left: string;
            top: string;
        };
        stretchlg: {
            left: string;
            top: string;
        };
    };
    typography: {
        h1: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
            marginBlockStart: number;
            marginBlockEnd: number;
        };
        h2: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
            marginBlockStart: number;
            marginBlockEnd: number;
        };
        h3: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
            marginBlockStart: number;
            marginBlockEnd: number;
        };
        buttonText: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
        };
        descriptionMedium: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
        };
        body: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
        };
        label: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
        };
    };
}, aesthetic?: Aesthetic): Aesthetic;
export declare function registerTheme(themeObj?: {
    name: string;
    colors: {
        primary: string;
        secondary: string;
        alert: {
            alert25: string;
            alert50: string;
            alert100: string;
        };
        warning: {
            warning25: string;
            warning50: string;
            warning100: string;
        };
        success: {
            success25: string;
            success50: string;
            success100: string;
        };
        white: string;
        black: string;
        background: {
            background25: string;
            background50: string;
            background100: string;
        };
        grey: {
            grey25: string;
            grey50: string;
            grey100: string;
        };
    };
    fontFamily: string;
    fonts: {};
    icons: {
        add: string;
        arrow: string;
        arrowDown: string;
        block: string;
        chart: string;
        check: string;
        checkmark: string;
        close: string;
    };
    spaceUnit: {
        xxs: string;
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
        xxl: string;
    };
    spacing: {
        squishsm: {
            top: string;
            left: string;
        };
        squishmd: {
            top: string;
            left: string;
        };
        squishlg: {
            top: string;
            left: string;
        };
        stretchsm: {
            left: string;
            top: string;
        };
        stretchmd: {
            left: string;
            top: string;
        };
        stretchlg: {
            left: string;
            top: string;
        };
    };
    typography: {
        h1: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
            marginBlockStart: number;
            marginBlockEnd: number;
        };
        h2: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
            marginBlockStart: number;
            marginBlockEnd: number;
        };
        h3: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
            marginBlockStart: number;
            marginBlockEnd: number;
        };
        buttonText: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
        };
        descriptionMedium: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
        };
        body: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
        };
        label: {
            fontSize: string;
            fontWeight: import("./types").FontWeight;
            lineHeight: string;
            fontFamily: string;
        };
    };
}, aesthetic?: Aesthetic): void;
export declare function changeTheme(theme: string, aesthetic?: Aesthetic): void;
